Bug 1428761 - [RFE] Show upgradable package count in Content Hosts list and at the Content Host page
Summary: [RFE] Show upgradable package count in Content Hosts list and at the Content ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Errata Management
Version: 6.2.7
Hardware: All
OS: Linux
medium
medium
Target Milestone: Unspecified
Assignee: Justin Sherrill
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-03 10:51 UTC by Stefan Meyer
Modified: 2021-03-11 15:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
- RHEL 7.3 - Satellite 6.2.7
Last Closed: 2018-02-21 12:38:27 UTC
Target Upstream Version:


Attachments (Terms of Use)
installable updates (57.42 KB, image/png)
2017-12-14 21:05 UTC, jcallaha
no flags Details
applicable packages (89.22 KB, image/png)
2017-12-14 21:05 UTC, jcallaha
no flags Details
bulk install package (210.29 KB, image/png)
2017-12-14 21:06 UTC, jcallaha
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 16724 0 None None None 2017-03-03 10:53:33 UTC
Red Hat Product Errata RHSA-2018:0336 0 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC

Description Stefan Meyer 2017-03-03 10:51:24 UTC
1. Proposed title of this feature request  
- Show upgradable package count in Content Hosts list and at the Content Host page
- Allow upgrade of packages from a central point like in Content => Errata

  
3. What is the nature and description of the request?
Some external repositories and self created rpm packages do not provide any errata information.
When repo informations are updated the packages are synced into Satellite 6 but the customer is 
not able to see  if there is an update available for a package. 

  
4. Why does the customer need this? (List the business requirements here)
The customer is not able to see if rpm packages without errata informations are up to date.
This was possible in Satellite 5 and is missing in Satellite 6.

  
5. How would the customer like to achieve this? (List the functional requirements here)  
To allow a customer to see which packages are out of date and install the newer rpm package a new
function needs to be created to

a. detect which packages are not up to date and
b. update the Content View(s) with the newer package
c. deploy the newer package if the older package is installed on a system

The new functionality should be like in Content => Errata where you see the upgradable package,
select the Content Hosts and, if required, update the Content View(s) to a new sub-version of 
the Content View(s).

Comment: (A) was already half finished in [1]. But it only shows the packages in the Content Host tab, not in the
         Content Host list (Hosts => Content Hosts)

  

6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.  
For a: This was already finished upstream in http://projects.theforeman.org/issues/16724 
For b: Create a selector in Content => Packages to show only upgradable packages
For c: Function is already available via Content Host page
  

7. Is there already an existing RFE upstream or in Red Hat Bugzilla?  
Partly in [1].


8. Does the customer have any specific timeline dependencies and which release would they like to target?  
Satellite 6.3
  

9. Is the sales team involved in this request and do they have any additional input?  
No


10. List any affected packages or components.  
Katello

  
11. Would the customer be able to assist in testing this functionality if implemented?  
Yes, limited testing would be available


References:
[1] http://projects.theforeman.org/issues/16724

Comment 2 pm-sat@redhat.com 2017-03-03 11:01:05 UTC
Upstream bug assigned to jsherril@redhat.com

Comment 3 pm-sat@redhat.com 2017-03-03 11:01:08 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/16724 has been resolved.

Comment 7 jcallaha 2017-12-14 21:04:18 UTC
Verified in Satellite 6.3 Beta. 

The vast majority of the requested functionality has been delivered as described. 

See attached screenshots for:
    Package Updates count on the Content Hosts page.
    Applicable Packages list on the individual content host's page.

Packages can not only be managed on an individual content host basis, but also in bulk actions.

A user can use these new changes to install a package update on multiple hosts with the following workflow.
1. Navigate to Content -> Packages
2. Search for the package you want to upgrade
2-alt. Click the check boxes to select a package that is Applicable/Upgradable
3. In the package details, click the applicable hosts link
   This takes you to a filtered content host page.
4. Click the 'Select Action' drop down and then Manage Packages
5. Enter the package name in the text box, and click the upgrade button.
   See attached screenshot

Comment 8 jcallaha 2017-12-14 21:05:26 UTC
Created attachment 1368143 [details]
installable updates

Comment 9 jcallaha 2017-12-14 21:05:47 UTC
Created attachment 1368144 [details]
applicable packages

Comment 10 jcallaha 2017-12-14 21:06:11 UTC
Created attachment 1368145 [details]
bulk install package

Comment 13 errata-xmlrpc 2018-02-21 12:38:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.